%define major		1
%define libname		%mklibname spectre %{major}
%define develname	%mklibname spectre -d

Summary:	Postscript rendering library
Name:		libspectre
Version:	0.2.9
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
Url:		https://www.freedesktop.org/wiki/Software/libspectre/
Source0:	https://libspectre.freedesktop.org/releases/%{name}-%{version}.tar.gz
BuildRequires:	libgs-devel
BuildRequires:	pkgconfig(cairo)

%description
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n %{libname}
Group:		System/Libraries
Summary:	Postscript rendering library

%description -n %{libname}
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n %{develname}
Summary:	Postscript rendering library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libspectre-devel = %{version}-%{release}

%description -n %{develname}
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS NEWS README TODO
%{_libdir}/libspectre.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libspectre.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Fri Sep 18 2020 kekepower <kekepower> 0.2.9-2.mga8
+ Revision: 1628671
- Rebuild for new ghostscript

* Fri May 29 2020 daviddavid <daviddavid> 0.2.9-1.mga8
+ Revision: 1588725
- new version: 0.2.9
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.2.8-3.mga8
+ Revision: 1514694
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.2.8-2.mga7
+ Revision: 1299162
- Mageia 7 Mass Rebuild

* Thu Aug 11 2016 luigiwalser <luigiwalser> 0.2.8-1.mga6
+ Revision: 1045512
- 0.2.8
- remove patches (fixed upstream)

* Fri Feb 12 2016 daviddavid <daviddavid> 0.2.7-7.mga6
+ Revision: 958259
- add patch1 from Opensuse to fix build with ghostscript 9.18
- add patch0 from Fedora to fix documents being rotated incorrectly
  * patch taken from upstream bug report (fdo#76450,boo#898327)
- disable static libraries
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- rebuild with fixed ghostscript:q!

* Wed Oct 15 2014 umeabot <umeabot> 0.2.7-5.mga5
+ Revision: 739064
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.7-4.mga5
+ Revision: 681794
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.7-3.mga4
+ Revision: 507388
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.7-2.mga3
+ Revision: 358195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 luigiwalser <luigiwalser> 0.2.7-1.mga3
+ Revision: 282344
- 0.2.7
- update URL

* Wed Jan 19 2011 ahmad <ahmad> 0.2.6-2.mga1
+ Revision: 24863
- drop old/unneeded scriptlets
- imported package libspectre

